WMDRAWER(1)

NAME
wmdrawer — a dockapp providing a drawer to launch applications

SYNOPSIS

wmdrawer [-c, --configfile=FILE [-n, --instancename=NAME]] [-w, --windowed] [-h, --help] [-v, --version]

DESCRIPTION

wmdrawer is a dock application (dockapp) that provides a drawer (retractable button bar) to conveniently launch applications.

The drawer is retractable and animated.

Several columns of buttons can been defined in the drawer.

The configuration file is automaticaly reloaded if it changes.

Multiple instances of the program can run at the same time.

The buttons can be highlighted under the mouse cursor.

A tooltip can be defined for each button.

The drawer can be transparent (need SHAPE extension).

Ability to launch several apps at once from the drawer. By holding down the key Shift or by using mouse buttons middle or right instead of left, you can keep the drawer opened.

Adjustable behaviors: dock's image (logo), dock's width and height (for both min=12, max=128), automatic/manual opening and closing of the drawer, timeout value in miliseconds if automatic closing selected, drawer's opening direction and animation speed, mouse cursor type in the drawer, drawer's pseudo-transparency, icons' background image (only if transparency isn't activated), buttons' size (min=12, max=128), buttons' highlight type (0:none, 1:target, 2:shading), image used as highlight (target type only), color and darkening level for highlight (shading type only), drawer's border size, buttons' tooltips and tooltips' font

OPTIONS

-c, --configfile=FILE [-n, --instancename=NAME]
    Use FILE as config file instead of the default (~/.wmdrawerrc) and optionaly set instance name.

-w, --windowed
    Run in windowed mode. Useful for AfterStep, Fvwm, Sawfish and KDE users.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

FILES

~/.wmdrawerrc is the default per-user configuration file. Here is a completely commented example.

# Config file example for wmdrawer
[general]
# Dock's icon [optional]
#dock_icon	panel-drawer.png

# Drawer's opening direction [required]
# Top to bottom = 0
# Right to Left = 1
# Bottom to Top = 2
# Left to Right = 3
direction       2

# Image used for icons' background [optional]
#icons_bg	defaultTile.xpm

# Allow icons' enlargement to fit them to buttons' size [optional, default 1]
# 0 indicate that icons should never be larger than their original size.
#icons_expand   1

# Activate the drawer's pseudo-transparency [optional, default 0]
# if you choose transparency, icons_bg will be ignored
#transparency   0

# dock's width: min=12, max=128 [optional, default=64]
#dock_width     64

# dock's height: min=12, max=128 [optional, default=64]
#dock_height    64

# buttons' size: min=12, max=128 [optional]
# Useful for the people who want for example to have big icons
# and to define several columns.
#btns_size      32

# Icon's highlight type: 0, 1 or 2 [optional, default 2]
# 0 : no highlight
# 1 : target (unavailable if transparency is activated)
# 2 : shading
#highlight      2

# Image used as highlight [optional]
# only used if you choice target type
#highlight_img	 highlight.xpm

# Tint icons by a specified color [optional, default #ffffff]
# only used if you choice shading type
#highlight_tint	#ffffff

# Shade icons at a specified level [optional, default 60]
# only used if you choice shading type
#highlight_sh   60

# Display buttons' tooltips [optional, default 1]
#tooltips       1

# Tooltips' font [optional, default fixed]
#tooltips_font  fixed

# Drawer's animation speed: 0, 1, 2, 3, 4 [optional, default 1]
#animation_speed 1

# Mouse cursor in drawer: 0, 1, ..., 76 [optional, default 30]
#cursor	        30

# Auto opening of the drawer: 0, 1 [optional, default 0]
#show_on_hover  0

# Auto closing of the drawer: 0, 1 [optional, default 0]
#hide_on_out    0

# drawer's hiding timeout in miliseconds [optional, default 1000]
#hide_timeout   1000

# Runs the dockapp in windowed mode: 0, 1 [optional, default 0]
# Useful for AfterStep, Fvwm, Sawfish or KDE users.
#windowed_mode  0

# Instance name so window manager can distinguish between multiple copies
#instance_name	distinguish_name

# Drawer's border size in pixels [optional, default 1]
#border_size    1

# Images directories
[images_paths]
/usr/share/pixmaps
/usr/local/share/pixmaps/

# A first column with 5 buttons
# Each button must be defined with this syntax:
# (tooltip)  (image)  (command)
[column]
(X Terminal)	(gnome-term.png)	(xterm -bg black -fg wheat)
(Galeon)	(galeon.xpm)		(galeon -s)
(Sylpheed)	(sylpheed.png)		(sylpheed)
(XChat)		(xchat.png)		(xchat)
(MPlayer)	(gnome-multimedia.png)	(mplayer)

# A second column with 5 buttons
[column]
(Xmms)		(gnome-audio2.png)	(xmms)
(Gimp)		(gnome-gimp.png)	(gimp)
(GQview)	(gqview.png)		(gqview)
(Xcalc)		(gnome-calc3.png)	(xcalc)
(GFtp)		(gftp.png)		(gftp)

Look at /usr/share/doc/wmdrawer/wmdrawerrc.example for a copy of this example.

SEE ALSO

wmaker (1)

AUTHOR

This software is written and maintained by Valéry Febvre (vfebvre@vfebvre.lautre.net).

This manual page was written by Chris Wesley (chris@cwwesley.net) for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.

OTHER INFO

wmDrawer's webpage is at http://people.easter-eggs.org/~valos/wmdrawer/. Here you can find info about wmdrawer and download the latest version.